#include<iostream>
#include<algorithm>

using namespace std;


int main()
{
	int n,x;
	scanf("%d%d",&n,&x);
	int levo=x,desno=x;
	for(int i=0;i<n;i++)
	{
		int broj;
		scanf("%d",&broj);
		levo=min(levo,broj);
		desno=max(levo,broj);
	}
	int dvaputracunaj=min(x-levo,desno-x);
	int zbir=dvaputracunaj-levo+desno;
	printf("%d",zbir);
}